# $Revision: 1.12 $, $Date: 2011/07/08 13:22:49 $
# TODO
# - use rhino from PLD package
# - do not embed jargs into yuicompressor.jar
#
# Conditional build:
%bcond_without	tests		# don't build and run tests

%include	/usr/lib/rpm/macros.java
Summary:	YUI Compressor - JavaScript compressor
Summary(pl.UTF-8):	Narzędzie do kompresji kodu JavaScript
Name:		yuicompressor
Version:	2.4.6
Release:	1
License:	BSD
Group:		Applications/WWW
Source0:	http://yui.zenfs.com/releases/yuicompressor/%{name}-%{version}.zip
# Source0-md5:	85670711b55124240a087e0b552304fa
Source1:	%{name}.sh
URL:		http://developer.yahoo.com/yui/compressor/
BuildRequires:	ant
BuildRequires:	java-jargs
BuildRequires:	jdk
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
%if %{with tests}
BuildRequires:	bash
%endif
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The YUI Compressor is a JavaScript/CSS minifier.

Its level of compaction is higher than the Dojo compressor, and it is
as safe as JSMin.

Tests on the YUI library have shown savings of about 18% compared to
JSMin and 10% compared to the Dojo compressor (these respectively
become 10% and 5% after HTTP compression)

%description -l pl.UTF-8
YUI Compressor jest narzędziem do kompresji kodu JavaScript.

Poziom kompresji osiągany przez YUI Compressor jest większy niż w
przypadku Dojo compressor przy czym jest nie mniej bezpieczny niż
JSMin.

Testy wykonane na bibliotece YUI wykazały, że 18% zysk względem JSMin
i 10% zysk względem Dojo Compressor (odpowiednio 10% i 5% po kompresji
HTTP).

%prep
%setup -q

rm -rf build
# Do not remove lib/rhino-1.6R7.jar It does not work with our java-rhino-1.7
rm lib/jargs-1.0.jar
JARGS_JAR=$(find-jar jargs)
ln -sf $JARGS_JAR lib/jargs-1.0.jar

chmod a+x tests/suite.sh

%build
required_jars='jargs'
CLASSPATH=$(build-classpath $required_jars)
%ant -Dbuild.sysclasspath=first

%if %{with tests}
./tests/suite.sh
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_javadir}}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# jars
cp -a build/yuicompressor-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.TXT doc/*
%attr(755,root,root) %{_bindir}/%{name}
%{_javadir}/*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yuicompressor.spec,v $
Revision 1.12  2011/07/08 13:22:49  glen
- up to 2.4.6, run tests

Revision 1.11  2011/03/03 15:53:59  glen
- preserve timestamps, update source0 url

Revision 1.10  2010/05/16 14:14:50  sparky
- BR: unzip

Revision 1.9  2010/05/03 21:51:43  pawelz
- rel 3

Revision 1.8  2010/05/03 12:09:04  pawelz
- build from source
- better shell wrapper

Revision 1.7  2009/12/04 15:21:59  pawelz
- fixed polish translation (I misunderstood english description)

Revision 1.6  2009/12/04 15:17:17  pawelz
- pl

Revision 1.5  2009/05/26 13:41:14  glen
- release 2

Revision 1.4  2009/05/26 11:33:26  glen
- release 1

Revision 1.3  2009/02/26 09:20:10  duddits
- up to 2.4.2

Revision 1.2  2008/11/23 23:22:55  glen
- update to 2.4.1

Revision 1.1  2008-02-19 14:19:48  glen
- new
